<xml> </xml>

Better SplitButton Class Reference |

# BetterSplitButton Properties

The properties of the BetterSplitButton class are listed below. For a complete list of BetterSplitButton class members, see the BetterSplitButton Members topic.

#### Public Instance Properties

AlwaysDropDown | Indicates whether the BetterSplitButton always shows the drop-down menu even if the non-split part is clicked.
AutoEllipsis | This property controls the activation handling of bleedover for the text that extends beyond the width of the button.
AutoSize | Indicates whether the control is automatically resized to fit its contents.
AutoSizeMode | Allows the control to optionally shrink when AutoSize is true.
BackColor | For buttons whose FlatStyle is FlatStyle.Flat, determines the appearance of the border and the colors used to indicate its state.
BlockEnterAndSpaceBar | Indicates whether the button reacts to Enter and Space keys.
ContextMenuStrip | ContextMenuStrip associated with this control.
DialogResult | The dialog-box result produced in a modal form by clicking the button.
DoubleClickEnabled | Indicates whether the double click event is raised on the BetterSplitButton.
FlatAppearance | For buttons whose FlatStyle is FlatStyle.Flat, determines the appearance of the border and the colors used to indicate its state.
FlatStyle | Gets or sets the visual style of the button.
Image | Gets or sets the image that is displayed on a button control.
ImageAlign | The alignment of the image that will be displayed on the control.
ImageIndex | The index of the image in the ImageList to display on the control.
ImageKey | Gets or sets the image list index key of the image displayed on the button control.
ImageList | Gets or sets the ImageList that contains the Image displayed on a button control.
SplitGlyphScaling | Split are glyph scaling factor.
SplitImageList | ImageList for the split button part.
SplitSize | Split part width in pixels.
Text | Gets or sets the text caption displayed in the button.
TextAlign | Gets or sets the alignment of the text on the button control.
TextImageRelation | Specifies the relatice location of the image to the text on the button.
UseCompatibleTextRendering | Specifies whether text rendering shoud be compatible with previous releases of Windows Forms.
UseMnemonic | Gets or sets a value indicating whether an ampersand (&) included in the text of the control.
UseVisualStyleBackColor | Determines whether the backgrount is drawn using visual styles, if visual styles are supported.

#### Protected Instance Properties

DefaultSize | Gets the default size of the control.

#### See Also

BetterSplitButton Class | ComponentOwl.BetterSplitButton Namespace